# $Revision: 1.37 $, $Date: 2007/02/13 08:06:38 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Time
%define		pnam	modules
Summary:	Various Time:: Perl modules
Summary(pl.UTF-8):	Różne moduły Perla Time::
Name:		perl-Time-modules
Version:	2006.0814
Release:	1
License:	free (see manuals)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	790c6739f601b85654fac9ee516b18d8
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Time-modules package contains the following modules: Time::CTime,
Time::JulianDay, Time::ParseDate, Time::Timezone, Time::DaysInMonth.

%description -l pl.UTF-8
Pakiet Time-modules zawiera nastepujące moduły: Time::CTime,
Time::JulianDay, Time::ParseDate, Time::Timezone, Time::DaysInMonth.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGELOG
%{perl_vendorlib}/Time/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Time-modules.spec,v $
Revision 1.37  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.36  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.35  2006/10/21 17:06:02  ankry
- ver. 2006.0814

Revision 1.34  2004/11/03 22:30:52  paladine
- formatting

Revision 1.33  2004/01/08 15:17:43  qboosh
- updated to 2003.1126, added test, License is not GPL

Revision 1.32  2003/09/09 10:24:53  ankry
- spaces -> tab

Revision 1.31  2003/08/18 08:09:24  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:25:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/11 18:59:38  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 21:35:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.25  2003/02/19 00:17:05  ankry
autoupdated to 2003.0211

Revision 1.24  2003/02/18 15:39:03  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/11/25 15:10:13  marcus
- use new %%doc

Revision 1.22  2002/11/20 12:34:48  mis
- autoupdated to 2002.1001

Revision 1.21  2002/07/10 09:02:31  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:35:20  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:21:24  depesz
automatic: Source location unfied, Relase Up

Revision 1.16  2002/02/10 15:37:15  depesz
adapterized

Revision 1.15  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:25  mis
- buildarch noarch; release++

Revision 1.13  2001/06/24 20:19:15  mis
- autoupdated to 101.062101

Revision 1.12  2001/04/17 12:17:46  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/26 02:15:09  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/08/27 14:27:56  kloczek
- updated to 100.010301.

Revision 1.8  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:36:27  pius
- updated to 99.111701

Revision 1.2  1999/11/06 00:50:53  pius
- updated to 99.062301
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:48  pius
- initial release
